      subroutine omega (tile)      


      use Agrif_Util
#include "Param_BeforeCall_omega.h"
      integer(4) :: tile
      

        call Sub_Loop_omega(tile, Agrif_tabvars_i(15)%iarray0, Agrif_tab
     &vars(117)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%i
     &array0, Agrif_tabvars_i(16)%iarray0)

      end


#include "Sub_Loop_omega.h"
      subroutine omega_tile (Istr,Iend,Jstr,Jend, wrk
     &                      )      


      use Agrif_Util
#include "Param_BeforeCall_omega_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2) :: wrk
      

        call Sub_Loop_omega_tile(Istr,Iend,Jstr,Jend,wrk, Agrif_tabvars_
     &i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iar
     &ray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(8)%iarray0, Agri
     &f_tabvars_i(7)%iarray0, Agrif_tabvars(101)%array2, Agrif_tabvars(1
     &02)%array2, Agrif_tabvars_r(3)%array0, Agrif_tabvars(147)%array3, 
     &Agrif_tabvars(143)%array3, Agrif_tabvars(144)%array3, Agrif_tabvar
     &s(145)%array3, Agrif_tabvars(141)%array3, Agrif_tabvars_l(13)%larr
     &ay0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Agr
     &if_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_omega_tile.h"
